diff --git a/doc/src/sgml/maintenance.sgml b/doc/src/sgml/maintenance.sgml
index 4b535809b6..dd0eed193e 100644
--- a/doc/src/sgml/maintenance.sgml
+++ b/doc/src/sgml/maintenance.sgml
@@ -697,14 +697,14 @@ HINT:  Stop the postmaster and vacuum that database in single-user mode.
     </para>
 
     <para>
-     As a safety device, an aggressive vacuum scan will occur for any table
-     whose multixact-age is greater than
-     <xref linkend="guc-autovacuum-multixact-freeze-max-age"/>.  Aggressive
-     vacuum scans will also occur progressively for all tables, starting with
-     those that have the oldest multixact-age, if the amount of used member
-     storage space exceeds the amount 50% of the addressable storage space.
-     Both of these kinds of aggressive scans will occur even if autovacuum is
-     nominally disabled.
+     As a safety device, an aggressive vacuum scan will
+     occur for any table whose multixact-age (see <xref
+     linkend="vacuum-for-multixact-wraparound"/>) is greater than <xref
+     linkend="guc-autovacuum-multixact-freeze-max-age"/>.  Also, if the
+     storage occupied by multixacts exceeds 2GB, aggressive vacuum scans
+     will occur more often for all tables, starting with those that have
+     the oldest multixact-age.  Both of these kinds of aggressive scans
+     will occur even if autovacuum is nominally disabled.
     </para>
    </sect3>
   </sect2>
